using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class OrdersAccess  : Daolite.BusinessAccess
	{

		public  OrdersAccess() : base("Orders", NwindConfiger.GetConfiger())
		{
		}


		public Orders[] Query()
		{
			return base.Query<Orders>();
		}


		public Orders[] QueryRelated()
		{
			return base.QueryRelated<Orders>();
		}


		public Orders QueryOne(long OrderID, bool isRelated)
		{
			return base.QueryOne<Orders>(new Daolite.DataStruct.KeyPairs()
			.Add("OrderID", OrderID)
			, isRelated);
		}


	}
}
